<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:22:03 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.transformation.base.utils (org.eclipse.papyrus.designer.transformation.base 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.transformation.base.utils (org.eclipse.papyrus.designer.transformation.base 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/preferences/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.designer.transformation.base.utils</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/RunnableWithResult.html" title="interface in org.eclipse.papyrus.designer.transformation.base.utils">RunnableWithResult</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CommandSupport</a></td>
<td class="colLast">
<div class="block">Utility function.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CopyUtils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CreationUtils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">DescriptionUtils</a></td>
<td class="colLast">
<div class="block">Set of static operations to retrieve the comment for an element</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></td>
<td class="colLast">
<div class="block">A set of utility functions around elements</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FileUtils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">LibraryUtils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></td>
<td class="colLast">
<div class="block">Manages a model (and the associated resource).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/ProjectManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ProjectManagement</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">RealizationUtils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></td>
<td class="colLast">
<div class="block">This class adds "standard" model libraries for component-based development: the FCM profile, parts of the MARTE profile (allocation)
 and the associated package imports to your model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/StringConstants.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StringConstants</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/StUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StUtils</a></td>
<td class="colLast">
<div class="block">Some functions around stereotype usage.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.ECreateKind.html" title="enum in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil.ECreateKind</a></td>
<td class="colLast">
<div class="block">Get or create a derived type for a given element</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></td>
<td class="colLast">
<div class="block">Main exception class that is used to represent errors during model transformations</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/TransformationRTException.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">TransformationRTException</a></td>
<td class="colLast">
<div class="block">Variant of the transformation exception that extends RuntimeException.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/preferences/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
